package org.livee.data.db;

/*
 * Copyright (c) 2007 Hideya Ochiai,  All rights reserved.
 * 
 * Permission of redistribution and use in source and binary forms, 
 * with or without modification, are granted, free of charge, to any person 
 * obtaining the copy of this software under the following conditions:
 * 
 *  1. Any copies of this source code must include the above copyright notice,
 *  this permission notice and the following statement without modification 
 *  except possible additions of other copyright notices. 
 * 
 *  2. Redistributions of the binary code must involve the copy of the above 
 *  copyright notice, this permission notice and the following statement 
 *  in documents and/or materials provided with the distribution.  
 * 
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
 * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
 * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
 * AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
 * LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
 * OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE
 * SOFTWARE.
 */

import java.sql.Connection;
import java.util.Map;
import org.livee.util.*;

/**
 * @author Hideya Ochiai, Akihiro Sugiyama, The University of Tokyo
 * Created: before 2008-01-01
 */
public class AuthorizeSensorCommand implements IDbCommand {
	
	/**
	 * Request
	 */
	String m_ID;
	String m_Passwd;
	String m_OwnerName;
	String m_OwnerMailAddress;
	
	/**
	 * Response
	 */
	boolean m_Succeeded;
	
	private AuthorizeSensorCommand(){}
	
	protected AuthorizeSensorCommand(String id, String passwd,String owner_name,String owner_mail_address){
		m_ID=id;
		m_OwnerName=owner_name;
		m_OwnerMailAddress=owner_mail_address;
		try {
			m_Passwd = Security.SHA1(passwd);
		}catch(Exception e){}
		m_Succeeded=false;
	}
	
	
	public boolean succeeded(){
		return m_Succeeded;
	}
	
	public String getCommandName() {
		return "AuthorizeSensor";
	}

	public short getImplVersion() {
		return 0x0100;
	}

	public void execCommand(Connection connection, Map conf) throws Exception {
		
		java.sql.Statement stmt=null;

		try{
			stmt=connection.createStatement();
			
			String sql="INSERT INTO sensor.combined (id, passwd, working,ownerName,ownerMailAddress) values (\'" + m_ID + "\', \'"+ m_Passwd + "\', true,\'"+m_OwnerName.replaceAll("\'","\\\\\'")+"\',\'"+m_OwnerMailAddress.replaceAll("\'","\\\\\'")+"\')";
			
			//	System.out.println(sql);

			stmt.execute(sql);
			m_Succeeded=true;
		}
		catch(Exception e){
			throw e;
		}
		finally{
			stmt.close();
		}
	}

}
