package org.livee.data.db;
/*
 * Copyright (c) 2007 Hideya Ochiai,  All rights reserved.
 * 
 * Permission of redistribution and use in source and binary forms, 
 * with or without modification, are granted, free of charge, to any person 
 * obtaining the copy of this software under the following conditions:
 * 
 *  1. Any copies of this source code must include the above copyright notice,
 *  this permission notice and the following statement without modification 
 *  except possible additions of other copyright notices. 
 * 
 *  2. Redistributions of the binary code must involve the copy of the above 
 *  copyright notice, this permission notice and the following statement 
 *  in documents and/or materials provided with the distribution.  
 * 
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
 * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
 * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
 * AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
 * LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
 * OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE
 * SOFTWARE.
 */

import org.livee.data.expr.AbstractData;


/**
 * @author Hideya Ochiai, The University of Tokyo
 * CommandFactory will be obsolete in future
 * Created: before 2008-01-01
 */
public class CommandFactory {
	
	public static AuthorizeSensorCommand createAuthorizeSensorCommand(String id,String passwd,String owner_name,String owner_mail_address){
		return new AuthorizeSensorCommand(id,passwd,owner_name,owner_mail_address);
	}

	public static UpdateAuthorizedSensorCommand createUpdateAuthorizedSensorCommand(String id,String new_passwd,String owner_name,String owner_mail_address){
		return new UpdateAuthorizedSensorCommand(id,new_passwd,owner_name,owner_mail_address);
	}

	public static UpdatePasswordCommand createUpdatePasswordCommand(String id,String old_passwd,String new_passwd){
		return new UpdatePasswordCommand(id,old_passwd,new_passwd);
	}

	public static GetSensorListCommand createGetSensorListCommand(){
		return new GetSensorListCommand();
	}
	
	public static GetProfileAllCommand createGetProfileAllCommand(){
		return new GetProfileAllCommand();
	}
	
	public static SetProfileCommand createSetProfileCommand(AbstractData combinedSensor, String passwd){
		return new SetProfileCommand(combinedSensor,passwd);
	}
	
	public static SetProfileSchemaCommand createSetProfileSchemaCommand(AbstractData profileSchema){
		return new SetProfileSchemaCommand(profileSchema);
	}
	
	public static GetProfileSchemaCommand createGetProfileSchemaCommand(){
		return new GetProfileSchemaCommand();
	}
	
	
	public static DB_INSERTCommand createDB_INSERTCommand(String id,String time,String value){
		return new DB_INSERTCommand(id,time,value);
	}
	
	public static UploadElementCommand createUploadElementCommand(AbstractData element,String passwd){
		return new UploadElementCommand(element,passwd);
	}
	
	public static UploadCombinedCommand createUploadCombinedCommand(AbstractData combined,String passwd){
		return new UploadCombinedCommand(combined,passwd);
	}
	
	public static GetAvailableLocalesCommand createGetAvailableLocalesCommand(){
		return new GetAvailableLocalesCommand();
	}
	
	public static SetLocaleSchemaCommand createSetLocaleSchemaCommand(AbstractData localeCollection){
		return new SetLocaleSchemaCommand(localeCollection);
	}
	
	public static GetAdminProfileSchemaCommand createGetAdminProfileSchemaCommand(){
		return new GetAdminProfileSchemaCommand();
	}
	
	public static SetAdminProfileSchemaCommand createSetAdminProfileSchemaCommand(AbstractData schema){
		return new SetAdminProfileSchemaCommand(schema);
	}
	
	public static GetAdminLocaleSchemaCommand createGetAdminLocaleSchemaCommand(){
		return new GetAdminLocaleSchemaCommand();
	}
	
	public static SetAdminLocaleSchemaCommand createSetAdminLocaleSchemaCommand(AbstractData localeSchema){
		return new SetAdminLocaleSchemaCommand(localeSchema);
	}
	
	public static GetAdminSchemaCommand createGetAdminSchemaCommand(){
		return new GetAdminSchemaCommand();
	}
	
	public static SetAdminSchemaCommand createSetAdminSchemaCommand(AbstractData adminSchema){
		return new SetAdminSchemaCommand(adminSchema);
	}
	
	public static GetAdminProfileCommand createGetAdminProfileCommand(){
		return new GetAdminProfileCommand();
	}
	
	public static SetAdminProfileCommand createSetAdminProfileCommand(String site,AbstractData collection){
		return new SetAdminProfileCommand(collection,site);
	}
	
	public static GetAdminProfileReplicateCommand createGetAdminProfileReplicateCommand(){
		return new GetAdminProfileReplicateCommand();
	}
	
	public static SetAdminProfileReplicateCommand createSetAdminProfileReplicateCommand(AbstractData collection){
		return new SetAdminProfileReplicateCommand(collection);
	}

	public static SetAdminConfigCommand createSetAdminConfigCommand(AbstractData adminConfig){
		return new SetAdminConfigCommand(adminConfig);
	}
	
	public static DumpAdminCommand createDumpAdminCommand(){
		return new DumpAdminCommand();
	}
	
	public static RestoreAdminCommand createRestoreAdminCommand(AbstractData adminReplicate){
		return new RestoreAdminCommand(adminReplicate);
	}
	
	public static GetAdminNeighborCommand createGetAdminNeighborCommand(){
		return new GetAdminNeighborCommand();
	}
	
	public static SetAdminNeighborCommand createSetAdminNeighborCommmand(AbstractData neighbor){
		return new SetAdminNeighborCommand(neighbor);
	}
	
	public static AggregationCommand createAggregationCommand(){
		return new AggregationCommand();
	}
	
	public static GetAggHourCommand createGetAggHourCommand(String id,String start, String end, java.util.TimeZone tz,String locale){
		return new GetAggHourCommand(id,start,end,tz,locale);
	}

	public static GetAggDayCommand createGetAggDayCommand(String id,String start, String end, java.util.TimeZone tz,String locale){
		return new GetAggDayCommand(id,start,end,tz,locale);
	}

	public static GetAggMonthCommand createGetAggMonthCommand(String id,String start, String end, java.util.TimeZone tz,String locale){
		return new GetAggMonthCommand(id,start,end,tz,locale);
	}

}
