package org.livee.data.exception;
/*
 * Copyright (c) 2007 Hideya Ochiai,  All rights reserved.
 * 
 * Permission of redistribution and use in source and binary forms, 
 * with or without modification, are granted, free of charge, to any person 
 * obtaining the copy of this software under the following conditions:
 * 
 *  1. Any copies of this source code must include the above copyright notice,
 *  this permission notice and the following statement without modification 
 *  except possible additions of other copyright notices. 
 * 
 *  2. Redistributions of the binary code must involve the copy of the above 
 *  copyright notice, this permission notice and the following statement 
 *  in documents and/or materials provided with the distribution.  
 * 
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
 * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
 * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
 * AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
 * LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
 * OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE
 * SOFTWARE.
 */

import java.util.Collection;
import java.util.Map;

import org.w3c.dom.Document;
import org.w3c.dom.Element;

/**
 * @author Hideya Ochiai, The University of Tokyo
 * Created: before 2008-01-01
 */
public class InternalLiveEException extends LiveEException {

	String m_TextContent;
	
	public InternalLiveEException(String message){
		m_TextContent=message;
	}
	
	public String getAttribute(String name) {
		if(name!=null && name.equals("type")){
			return "internal";
		}
		return null;
	}

	public Map getAttributes() {
		Map map=new java.util.Hashtable();
		map.put("type", "internal");
		return map;
	}

	public Collection getChildren() {
		return null;
	}

	public String getDataType() {
		return "InternalLiveEException";
	}

	public String getTextContent() {
		return m_TextContent;
	}

	public Element getXml(Document doc) {
		String ns="http://live-e.org/Error/2007/03/";
		Element err=doc.createElementNS(ns, "error");
		
		err.setAttribute("type", "internal");
		err.setTextContent(m_TextContent);
		
		return err;
	}
}
