package org.livee.data.exception;
/*
 * Copyright (c) 2007 Hideya Ochiai,  All rights reserved.
 * 
 * Permission of redistribution and use in source and binary forms, 
 * with or without modification, are granted, free of charge, to any person 
 * obtaining the copy of this software under the following conditions:
 * 
 *  1. Any copies of this source code must include the above copyright notice,
 *  this permission notice and the following statement without modification 
 *  except possible additions of other copyright notices. 
 * 
 *  2. Redistributions of the binary code must involve the copy of the above 
 *  copyright notice, this permission notice and the following statement 
 *  in documents and/or materials provided with the distribution.  
 * 
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
 * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
 * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
 * AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
 * LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
 * OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE
 * SOFTWARE.
 */

import java.util.Collection;
import java.util.Map;

import org.livee.data.expr.AbstractData;
import org.w3c.dom.Document;
import org.w3c.dom.Element;

/**
 * @author Hideya Ochiai, The University of Tokyo
 * Created: before 2008-01-01
 */
public abstract class LiveEException extends Exception implements AbstractData {

	public abstract String getAttribute(String name);
	public abstract Map getAttributes();
	public abstract Collection getChildren();
	public abstract String getDataType();
	public abstract String getTextContent();
	public abstract Element getXml(Document doc);

	public void append(AbstractData child) throws LiveEException {}	
	public void remove(AbstractData child) {}
	public void removeAttribute(String name) {}
	public void setAttribute(String name, String value) {}
	public void setTextContent(String text) {}
	
	public String getMessage(){
		org.w3c.dom.Document doc=org.livee.util.Xml.newDocument();
		org.w3c.dom.Element root=getXml(doc);
		return org.livee.util.Xml.toString(root);
	}
}
