package org.livee.data.expr;
/*
 * Copyright (c) 2007 Hideya Ochiai,  All rights reserved.
 * 
 * Permission of redistribution and use in source and binary forms, 
 * with or without modification, are granted, free of charge, to any person 
 * obtaining the copy of this software under the following conditions:
 * 
 *  1. Any copies of this source code must include the above copyright notice,
 *  this permission notice and the following statement without modification 
 *  except possible additions of other copyright notices. 
 * 
 *  2. Redistributions of the binary code must involve the copy of the above 
 *  copyright notice, this permission notice and the following statement 
 *  in documents and/or materials provided with the distribution.  
 * 
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
 * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
 * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
 * AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
 * LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
 * OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE
 * SOFTWARE.
 */

import java.util.Collection;
import java.util.Map;

import org.livee.data.expr.AbstractData;
import org.w3c.dom.Document;
import org.w3c.dom.Element;

/**
 * @author Hideya Ochiai, The University of Tokyo
 * Created: before 2008-01-01
 */
public class AdminConfigData implements AbstractData {

	java.util.Collection m_AdminConfigParameterCol;
	AbstractData m_AdminNeighbor;
	
	protected AdminConfigData(){
		m_AdminConfigParameterCol=new java.util.ArrayList();
	}

	public void append(AbstractData child) {
		if(child==null){
			return ;
		}
		if(child.getDataType().equals("AdminConfigParameter")){
			m_AdminConfigParameterCol.add(child);
		}else if(child.getDataType().equals("AdminNeighbor")){
			m_AdminNeighbor=child;
		}
		
	}

	public String getAttribute(String name) {
		return null;
	}

	public Map getAttributes() {
		return null;
	}

	public Collection getChildren() {
		java.util.ArrayList array=new java.util.ArrayList();
		array.addAll(m_AdminConfigParameterCol);
		array.add(m_AdminNeighbor);
		return array;
	}

	public String getDataType() {
		return "AdminConfig";
	}

	public String getTextContent() {
		return null;
	}

	public Element getXml(Document doc) {
		
		String ns="http://live-e.org/Administrator/2007/03/";
		Element collection=doc.createElementNS(ns, "adminConfig");
		
		java.util.Iterator itr=m_AdminConfigParameterCol.iterator();
		while(itr.hasNext()){
			Object obj=itr.next();
			if(obj!=null){
				AbstractData lc=(AbstractData)obj;
				collection.appendChild(lc.getXml(doc));
			}
		}
		
		if(m_AdminNeighbor!=null){
			collection.appendChild(m_AdminNeighbor.getXml(doc));
		}
		
		return collection;
	}

	public void remove(AbstractData child) {}

	public void removeAttribute(String name) {}

	public void setAttribute(String name, String value) {}

	public void setTextContent(String text) {}
}
