package org.livee.data.expr;
/*
 * Copyright (c) 2007 Hideya Ochiai,  All rights reserved.
 * 
 * Permission of redistribution and use in source and binary forms, 
 * with or without modification, are granted, free of charge, to any person 
 * obtaining the copy of this software under the following conditions:
 * 
 *  1. Any copies of this source code must include the above copyright notice,
 *  this permission notice and the following statement without modification 
 *  except possible additions of other copyright notices. 
 * 
 *  2. Redistributions of the binary code must involve the copy of the above 
 *  copyright notice, this permission notice and the following statement 
 *  in documents and/or materials provided with the distribution.  
 * 
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
 * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
 * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
 * AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
 * LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
 * OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE
 * SOFTWARE.
 */

import java.util.Collection;
import java.util.Map;

import org.w3c.dom.Document;
import org.w3c.dom.Element;

/**
 * @author Hideya Ochiai, The University of Tokyo
 * Created: before 2008-01-01
 */
public class WarningData implements AbstractData {

	String m_Type;
	String m_TextContent;
	
	public void append(AbstractData child) {}

	public String getAttribute(String name) {
		if(name==null){
			return null;
		}
		if(name.equals("type")){
			return m_Type;
		}
		return null;
	}

	public Map getAttributes() {
		Map attrs=new java.util.Hashtable();

		if(m_Type!=null){
			attrs.put("type",m_Type);
		}
		return attrs;
	}

	public Collection getChildren() {
		return null;
	}

	public String getDataType() {
		return "Warning";
	}

	public String getTextContent() {
		return m_TextContent;
	}

	public Element getXml(Document doc) {
		
		String ns="http://live-e.org/Warning/2007/03/";
		Element server=doc.createElementNS(ns, "warning");
				
		if(m_Type!=null){
			server.setAttribute("type",m_Type);
		}
		return server;
		
	}

	public void remove(AbstractData child) {}

	public void removeAttribute(String name) {

		if(name==null){
			return ;
		}
		
		if(name.equals("type")){
			m_Type=null;
		}
	}

	public void setAttribute(String name, String value) {
		
		if(name==null){
			return ;
		}
		
		if(name.equals("type")){
			m_Type=value;
		}
	}

	public void setTextContent(String text) {
		m_TextContent=text;
	}


}
