package org.livee.data.query;
/*
 * Copyright (c) 2007 Hideya Ochiai,  All rights reserved.
 * 
 * Permission of redistribution and use in source and binary forms, 
 * with or without modification, are granted, free of charge, to any person 
 * obtaining the copy of this software under the following conditions:
 * 
 *  1. Any copies of this source code must include the above copyright notice,
 *  this permission notice and the following statement without modification 
 *  except possible additions of other copyright notices. 
 * 
 *  2. Redistributions of the binary code must involve the copy of the above 
 *  copyright notice, this permission notice and the following statement 
 *  in documents and/or materials provided with the distribution.  
 * 
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
 * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
 * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
 * AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
 * LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
 * OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE
 * SOFTWARE.
 */

import org.livee.util.Xml;
import org.w3c.dom.*;

import org.livee.data.expr.AbstractData;
import org.livee.data.expr.AbstractParser;
import org.livee.data.query.ParserFactory;

/**
 * @author Hideya Ochiai, The University of Tokyo
 * Created: before 2008-01-01
 */
public class TestExpr {

	public static void main(String[] args) throws Exception {
		test();
	}
	
	public static void test2() throws Exception {
		Document doc=Xml.parseXmlFile("test/queryResponse.xml");
		Element root=doc.getDocumentElement();
		
		ParserFactory pf=ParserFactory.getInstance();
		AbstractParser parser=pf.get("queryResponse");
		
		AbstractData data=parser.parse(root);
				
		System.out.println(Xml.toString(data.getXml(doc)));
		
	}
	
	public static void test() throws Exception {
		Document doc=Xml.parseXmlFile("test/query.xml");
		Element root=doc.getDocumentElement();
		
		ParserFactory pf=ParserFactory.getInstance();
		AbstractParser query_parser=pf.get("query");
		
		AbstractData query=query_parser.parse(root);
		
		System.out.println(((QueryData)query).generateSQL());
		java.util.Collection col=query.getChildren();
		java.util.Iterator itr=col.iterator();
		while(itr.hasNext()){
			AbstractData filter=(AbstractData)itr.next();
			if(filter.getDataType().equals("Filter")){
				FilterData f=(FilterData)filter;
				System.out.println(f.generatePredicateElement("combined"));
			}
		}

		System.out.println(Xml.toString(query.getXml(doc)));
		
	}

}
