package org.livee.data.replicate;
/*
 * Copyright (c) 2007 Hideya Ochiai,  All rights reserved.
 * 
 * Permission of redistribution and use in source and binary forms, 
 * with or without modification, are granted, free of charge, to any person 
 * obtaining the copy of this software under the following conditions:
 * 
 *  1. Any copies of this source code must include the above copyright notice,
 *  this permission notice and the following statement without modification 
 *  except possible additions of other copyright notices. 
 * 
 *  2. Redistributions of the binary code must involve the copy of the above 
 *  copyright notice, this permission notice and the following statement 
 *  in documents and/or materials provided with the distribution.  
 * 
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
 * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
 * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
 * AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
 * LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
 * OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE
 * SOFTWARE.
 */

import java.util.Collection;
import java.util.Map;

import org.livee.data.expr.AbstractData;
import org.w3c.dom.Document;
import org.w3c.dom.Element;

/**
 * @author Hideya Ochiai, The University of Tokyo
 * Created: before 2008-01-01
 */
public class RawArchiveReplicationData implements AbstractData {

	String m_ID;
	String m_Time;
	String m_Attrs;
	String m_Value;
	String m_SValue;
	
	protected RawArchiveReplicationData(){
		m_ID=null;
		m_Time=null;
		m_Attrs=null;
		m_Value=null;
		m_SValue=null;
	}
	
	public void append(AbstractData child) {}

	public String getAttribute(String name) {
		if(name==null){
			return null;
		}
		if(name.equals("id")){
			return m_ID;
		}else if(name.equals("time")){
			return m_Time;
		}else if(name.equals("attrs")){
			return m_Attrs;
		}else if(name.equals("value")){
			return m_Value;
		}else if(name.equals("sValue")){
			return m_SValue;
		}
		return null;
	}

	public Map getAttributes() {
		Map attrs=new java.util.Hashtable();

		if(m_ID!=null){
			attrs.put("id",m_ID);
		}
		if(m_Time!=null){
			attrs.put("time",m_Time);
		}
		if(m_Attrs!=null){
			attrs.put("attrs",m_Attrs);
		}
		if(m_Value!=null){
			attrs.put("value",m_Value);
		}
		if(m_SValue!=null){
			attrs.put("sValue",m_SValue);
		}
		return attrs;
	}

	public Collection getChildren() {
		return null;
	}

	public String getDataType() {
		return "RawArchiveReplication";
	}

	public String getTextContent() {
		return null;
	}

	public void remove(AbstractData child) {}

	public void removeAttribute(String name) {
		if(name==null){
			return ;
		}
		if(name.equals("id")){
			m_ID=null;
		}else if(name.equals("time")){
			m_Time=null;
		}else if(name.equals("attrs")){
			m_Attrs=null;
		}else if(name.equals("value")){
			m_Value=null;
		}else if(name.equals("sValue")){
			m_SValue=null;
		}
	}

	public void setAttribute(String name, String value) {
		
		if(name==null){
			return ;
		}
		if(name.equals("id")){
			m_ID=value;
		}else if(name.equals("time")){
			m_Time=value;
		}else if(name.equals("attrs")){
			m_Attrs=value;
		}else if(name.equals("value")){
			m_Value=value;
		}else if(name.equals("sValue")){
			m_SValue=value;
		}
	}

	public void setTextContent(String text) {}

	public Element getXml(Document doc) {
		String ns="http://live-e.org/DataManager/2007/03/";
		Element val=doc.createElementNS(ns, "rawArchive");
		if(m_ID!=null){
			val.setAttribute("id",m_ID);
		}
		if(m_Time!=null){
			val.setAttribute("time", m_Time);
		}
		if(m_Attrs!=null){
			val.setAttribute("attrs", m_Attrs);
		}
		if(m_Value!=null){
			val.setAttribute("value", m_Value);
		}
		if(m_SValue!=null){
			val.setAttribute("sValue", m_SValue);
		}
		return val;
	}
}
