package org.livee.data.replicate;
/*
 * Copyright (c) 2007 Hideya Ochiai,  All rights reserved.
 * 
 * Permission of redistribution and use in source and binary forms, 
 * with or without modification, are granted, free of charge, to any person 
 * obtaining the copy of this software under the following conditions:
 * 
 *  1. Any copies of this source code must include the above copyright notice,
 *  this permission notice and the following statement without modification 
 *  except possible additions of other copyright notices. 
 * 
 *  2. Redistributions of the binary code must involve the copy of the above 
 *  copyright notice, this permission notice and the following statement 
 *  in documents and/or materials provided with the distribution.  
 * 
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
 * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
 * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
 * AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
 * LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
 * OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE
 * SOFTWARE.
 */

import java.util.Collection;
import java.util.Map;

import org.livee.data.expr.AbstractData;
import org.w3c.dom.Document;
import org.w3c.dom.Element;

/**
 * @author Hideya Ochiai, The University of Tokyo
 * Created: before 2008-01-01
 */
public class SensorCombinedReplicationData implements AbstractData {

	String m_ID;
	String m_Passwd;
	String m_Working;
	String m_OwnerName;
	String m_OwnerMailAddress;
	
	protected SensorCombinedReplicationData(){
		m_ID=null;
		m_Passwd=null;
		m_Working=null;
		m_OwnerName=null;
		m_OwnerMailAddress=null;
	}
	
	public void append(AbstractData child) {}

	public String getAttribute(String name) {
		if(name==null){
			return null;
		}
		if(name.equals("id")){
			return m_ID;
		}else if(name.equals("passwd")){
			return m_Passwd;
		}else if(name.equals("working")){
			return m_Working;
		}else if(name.equals("ownerName")){
			return m_OwnerName;
		}else if(name.equals("ownerMailAddress")){
			return m_OwnerMailAddress;
		}
		return null;
	}

	public Map getAttributes() {
		Map attrs=new java.util.Hashtable();

		if(m_ID!=null){
			attrs.put("id",m_ID);
		}
		if(m_Passwd!=null){
			attrs.put("passwd",m_Passwd);
		}
		if(m_Working!=null){
			attrs.put("working",m_Working);
		}
		if(m_OwnerName!=null){
			attrs.put("ownerName",m_OwnerName);
		}
		if(m_OwnerMailAddress!=null){
			attrs.put("ownerMailAddress",m_OwnerMailAddress);
		}
		return attrs;
	}

	public Collection getChildren() {
		return null;
	}

	public String getDataType() {
		return "SensorCombinedReplication";
	}

	public String getTextContent() {
		return null;
	}

	public void remove(AbstractData child) {}

	public void removeAttribute(String name) {
		if(name==null){
			return ;
		}
		if(name.equals("id")){
			m_ID=null;
		}else if(name.equals("passwd")){
			m_Passwd=null;
		}else if(name.equals("working")){
			m_Working=null;
		}else if(name.equals("ownerName")){
			m_OwnerName=null;
		}else if(name.equals("ownerMailAddress")){
			m_OwnerMailAddress=null;
		}
		
	}

	public void setAttribute(String name, String value) {
		
		if(name==null){
			return ;
		}
		if(name.equals("id")){
			m_ID=value;
		}else if(name.equals("passwd")){
			m_Passwd=value;
		}else if(name.equals("working")){
			m_Working=value;
		}else if(name.equals("ownerName")){
			m_OwnerName=value;
		}else if(name.equals("ownerMailAddress")){
			m_OwnerMailAddress=value;
		}
	}

	public void setTextContent(String text) {}

	public Element getXml(Document doc) {
		String ns="http://live-e.org/DataManager/2007/03/";
		Element val=doc.createElementNS(ns, "sensorCombined");
		if(m_ID!=null){
			val.setAttribute("id",m_ID);
		}
		if(m_Passwd!=null){
			val.setAttribute("passwd", m_Passwd);
		}
		if(m_Working!=null){
			val.setAttribute("working", m_Working);
		}
		if(m_OwnerName!=null){
			val.setAttribute("ownerName", m_OwnerName);
		}
		if(m_OwnerMailAddress!=null){
			val.setAttribute("ownerMailAddress", m_OwnerMailAddress);
		}
		
		return val;
	}


}
