package org.livee.data.replicate;
/*
 * Copyright (c) 2007 Hideya Ochiai,  All rights reserved.
 * 
 * Permission of redistribution and use in source and binary forms, 
 * with or without modification, are granted, free of charge, to any person 
 * obtaining the copy of this software under the following conditions:
 * 
 *  1. Any copies of this source code must include the above copyright notice,
 *  this permission notice and the following statement without modification 
 *  except possible additions of other copyright notices. 
 * 
 *  2. Redistributions of the binary code must involve the copy of the above 
 *  copyright notice, this permission notice and the following statement 
 *  in documents and/or materials provided with the distribution.  
 * 
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
 * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
 * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
 * AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
 * LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
 * OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE
 * SOFTWARE.
 */

import java.sql.Connection;
import java.util.Map;
import org.livee.util.W3CTimestamp;

import org.livee.data.db.IDbCommand;

/**
 * @author Hideya Ochiai, The University of Tokyo
 * Created: before 2008-01-01
 */
public class SetSlaveReplicationProfileCommand implements IDbCommand {

	String m_ReplicationType;
	java.util.Calendar m_Done;
	boolean m_bSucceeded;
	
	public SetSlaveReplicationProfileCommand(String replicationType, java.util.Calendar done){
		m_ReplicationType=replicationType;
		m_Done=done;
		m_bSucceeded=false;
	}
	
	public boolean succeeded(){
		return m_bSucceeded;
	}
	
	public void execCommand(Connection connection, Map conf) throws Exception {
		
		java.sql.Statement stmt=null;
		try{
			stmt=connection.createStatement();
		
			String sql="UPDATE slaveReplicationProfile SET done=\'"+m_Done.getTime().toString()+"\' WHERE replicationType=\'"+m_ReplicationType+"\';";
			
			if(stmt.executeUpdate(sql)==0){
				sql="INSERT INTO slaveReplicationProfile (replicationType,done) VALUES (\'"+m_ReplicationType+"\',\'"+m_Done.getTime().toString()+"\');";
				stmt.execute(sql);
			}
			
			m_bSucceeded=true;
		}
		catch(Exception e){
			throw e;
		}
		finally{
			stmt.close();
		}

	}

	public String getCommandName() {
		return "SetSlaveReplicationProfile";
	}

	public short getImplVersion() {
		return 0x0100;
	}

}
