package org.livee.data.srv;
/*
 * Copyright (c) 2007 Hideya Ochiai,  All rights reserved.
 * 
 * Permission of redistribution and use in source and binary forms, 
 * with or without modification, are granted, free of charge, to any person 
 * obtaining the copy of this software under the following conditions:
 * 
 *  1. Any copies of this source code must include the above copyright notice,
 *  this permission notice and the following statement without modification 
 *  except possible additions of other copyright notices. 
 * 
 *  2. Redistributions of the binary code must involve the copy of the above 
 *  copyright notice, this permission notice and the following statement 
 *  in documents and/or materials provided with the distribution.  
 * 
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
 * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
 * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
 * AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
 * LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
 * OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE
 * SOFTWARE.
 */

import org.livee.data.db.CommandFactory;
import org.livee.data.db.DatabaseAdapter;
import org.livee.data.db.GetAvailableLocalesCommand;
import org.livee.data.db.GetProfileSchemaCommand;
import org.livee.data.expr.AbstractData;
import org.livee.util.Xml;
import org.w3c.dom.Document;
import org.w3c.dom.Element;

/**
 * SchemaDistribution200703 is obsolete 
 * @author Hideya Ochiai, The University of Tokyo
 * @see Admin200703
 * Created: before 2008-01-01
 */
public class SchemaDistribution200703 {

	public String getLocaleSchema(){
		
		DatabaseAdapter db=DatabaseAdapter.getInstance();
		GetAvailableLocalesCommand command=CommandFactory.createGetAvailableLocalesCommand();
	
		try{
			db.postCommand(command);
		}
		catch(Exception e){
			e.printStackTrace();
		}
		
		if(command.succeeded()){
			Document doc=Xml.newDocument();
			AbstractData data=command.getAvailableLocales();
			Element root=data.getXml(doc);
			return Xml.toString(root);
		}
		
		// return error code
		return "<error />";
	}

	public String getProfileSchema(){
		
		DatabaseAdapter db=DatabaseAdapter.getInstance();
		GetProfileSchemaCommand command=CommandFactory.createGetProfileSchemaCommand();
	
		try{
			db.postCommand(command);
		}
		catch(Exception e){
			e.printStackTrace();
		}
		
		if(command.succeeded()){
			Document doc=Xml.newDocument();
			AbstractData data=command.getProfileSchema();
			Element root=data.getXml(doc);
			return Xml.toString(root);
		}
		
		// return error code
		return "<error />";
		
	}

}
