package org.livee.data.tools;
/*
 * Copyright (c) 2007 Hideya Ochiai,  All rights reserved.
 * 
 * Permission of redistribution and use in source and binary forms, 
 * with or without modification, are granted, free of charge, to any person 
 * obtaining the copy of this software under the following conditions:
 * 
 *  1. Any copies of this source code must include the above copyright notice,
 *  this permission notice and the following statement without modification 
 *  except possible additions of other copyright notices. 
 * 
 *  2. Redistributions of the binary code must involve the copy of the above 
 *  copyright notice, this permission notice and the following statement 
 *  in documents and/or materials provided with the distribution.  
 * 
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
 * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
 * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
 * AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
 * LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
 * OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE
 * SOFTWARE.
 */

import java.util.Iterator;

import javax.xml.namespace.NamespaceContext;

/**
 * @author Hideya Ochiai, The University of Tokyo
 * Created: before 2008-01-01
 */
public class ConfigNamespaceContext implements NamespaceContext {

	public String getNamespaceURI(String arg0) {
		if(arg0.equals("c")){
			return "http://live-e.org/Configuration/2007/03/";
		}else if(arg0.equals("a")){
			return "http://live-e.org/Administrator/2007/03/";
		}else if(arg0.equals("s")){
			return "http://live-e.org/Schema/2007/03/";
		}
		return "";
	}

	public String getPrefix(String arg0) {
		if(arg0.equals("http://live-e.org/Configuration/2007/03/")){
			return "c";
		}else if(arg0.equals("http://live-e.org/Administrator/2007/03/")){
			return "a";
		}else if(arg0.equals("http://live-e.org/Schema/2007/03/")){
			return "s";
		}
		return "";
	}

	public Iterator getPrefixes(String arg0) {
		java.util.ArrayList prefixes=new java.util.ArrayList();
		prefixes.add("c");
		prefixes.add("a");
		prefixes.add("s");
		return prefixes.iterator();
	}

}
