package org.livee.test;
/*
 * Copyright (c) 2007 Hideya Ochiai,  All rights reserved.
 * 
 * Permission of redistribution and use in source and binary forms, 
 * with or without modification, are granted, free of charge, to any person 
 * obtaining the copy of this software under the following conditions:
 * 
 *  1. Any copies of this source code must include the above copyright notice,
 *  this permission notice and the following statement without modification 
 *  except possible additions of other copyright notices. 
 * 
 *  2. Redistributions of the binary code must involve the copy of the above 
 *  copyright notice, this permission notice and the following statement 
 *  in documents and/or materials provided with the distribution.  
 * 
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
 * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
 * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
 * AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
 * LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
 * OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE
 * SOFTWARE.
 */

/**
 * @author Hideya Ochiai, The University of Tokyo
 * Created: before 2008-01-01
 */
public class GenerateSensorID {

	private String m_Prefix="live-e.org/Virtual/";
	private String[] m_SensorType={"Temperature","Humidity","Pressure","RainFall","DayRainFall","WindDir","WindSpeed"};
	
	public String[] generateCombinedID(int start,int end){
	
		java.util.Collection idArray=new java.util.ArrayList();
		for(int i=start;i<=end;i++){
			String suffix="000000000"+i;
			suffix=suffix.substring(suffix.length()-8);
			
			String id=m_Prefix+suffix+"/";
			idArray.add(id);
		}
		
		Object[] array=idArray.toArray();
		if(array.length>0){
			String[] arrays=new String[array.length];
			for(int i=0;i<array.length;i++){
				arrays[i]=(String)array[i];
			}
			return arrays;
		}
		return null;
	}
	
	public String[] getSensorType(){
		return m_SensorType;
	}
	
	public String[] generateElementID(String combined_id){
	
		if(m_SensorType.length>0){
			String[] element=new String[m_SensorType.length];
			for(int i=0;i<element.length;i++){
				element[i]=combined_id+m_SensorType[i];
			}
			return element;
		}
		
		return null;
	}
}
