package org.livee.test;
/*
 * Copyright (c) 2007 Hideya Ochiai,  All rights reserved.
 * 
 * Permission of redistribution and use in source and binary forms, 
 * with or without modification, are granted, free of charge, to any person 
 * obtaining the copy of this software under the following conditions:
 * 
 *  1. Any copies of this source code must include the above copyright notice,
 *  this permission notice and the following statement without modification 
 *  except possible additions of other copyright notices. 
 * 
 *  2. Redistributions of the binary code must involve the copy of the above 
 *  copyright notice, this permission notice and the following statement 
 *  in documents and/or materials provided with the distribution.  
 * 
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
 * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
 * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
 * AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
 * LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
 * OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE
 * SOFTWARE.
 */

import org.livee.data.soap.client.Admin200703Service;
import org.livee.data.soap.client.Admin200703ServiceLocator;
import org.livee.data.soap.client.Admin200703_PortType;

/**
 * @author Hideya Ochiai, The University of Tokyo
 * Created: before 2008-01-01
 */
public class TestAdmin200703 {

	public static void main(String[] args) {
		
		try{
			Admin200703Service dps=new Admin200703ServiceLocator();
			Admin200703_PortType srv=dps.getAdmin200703(new java.net.URL("http://127.0.0.1/axis/services/Admin200703"));

			System.out.println("GetProfileAll");
			System.out.println(srv.getProfileAll());
			System.out.println("GetNeighbor");
			System.out.println(srv.getNeighbor());
			System.out.println("GetSchema");
			System.out.println(srv.getSchema());
			
			System.out.println("queryService");
			System.out.println(srv.queryService("GlobalDataProvider200703"));
			
		}catch(Exception e){
			e.printStackTrace();
		}
	}
	
}
