package org.livee.util;
/*
 * Copyright (c) 2007 Hideya Ochiai,  All rights reserved.
 * 
 * Permission of redistribution and use in source and binary forms, 
 * with or without modification, are granted, free of charge, to any person 
 * obtaining the copy of this software under the following conditions:
 * 
 *  1. Any copies of this source code must include the above copyright notice,
 *  this permission notice and the following statement without modification 
 *  except possible additions of other copyright notices. 
 * 
 *  2. Redistributions of the binary code must involve the copy of the above 
 *  copyright notice, this permission notice and the following statement 
 *  in documents and/or materials provided with the distribution.  
 * 
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
 * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
 * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
 * AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
 * LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
 * OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE
 * SOFTWARE.
 */

import java.security.MessageDigest;

/**
 * @author Hideya Ochiai, The University of Tokyo
 * Created: before 2008-01-01
 */
public class Security {
	public static String SHA1(String src) throws Exception{

		MessageDigest digest=MessageDigest.getInstance("SHA1");
		byte[] hashed=digest.digest(src.getBytes());
		
		int i;
		int k;
		int x;
		int length=hashed.length;
		byte[] str=new byte[length*2];
		for(i=0,k=0;i<length;i++){
			x=(hashed[i]>>>4)&0x0f;
			if(x<10){
				str[k++]=(byte)(x+'0');
			}else{
				str[k++]=(byte)(x+'a'-10);
			}
			
			x=hashed[i]&0x0f;
			if(x<10){
				str[k++]=(byte)(x+'0');
			}else{
				str[k++]=(byte)(x+'a'-10);
			}
		}
		
		String hashed_key=new String(str);
		return hashed_key;
	}

}
